Wayland Synchronization Functions
Ecore » Ecore_Wayland - Wayland integration

Functions that ensure that all commands which have been issued by the Ecore Wayland library have been sent to the server. More...

## Functions

EAPI void | ecore_wl_flush (void)
| Sends all Wayland commands to the Wayland Display.
EAPI void | ecore_wl_sync (void)
| Flushes the command buffer and waits until all requests have been processed by the server.

## Detailed Description

Functions that ensure that all commands which have been issued by the Ecore Wayland library have been sent to the server.

## Function Documentation

## ecore_wl_flush()

EAPI void ecore_wl_flush | ( | void |  | ) |

Sends all Wayland commands to the Wayland Display.

Since
  1.2

## ecore_wl_sync()

EAPI void ecore_wl_sync | ( | void |  | ) |

Flushes the command buffer and waits until all requests have been processed by the server.

Since
  1.2

References ERR.

Referenced by ecore_wl_screen_size_get().